From b8bade00ad05232b38bd0242a6d2efe4dc1ed218 Mon Sep 17 00:00:00 2001
From: Pengpeng Dong <dongpengpeng@uniontech.com>
Date: Mon, 7 Sep 2020 17:53:05 +0800
Subject: [PATCH 2/2] quartz: Add a test case where
 BaseControlWindowImpl_get_Visible returns the result when visible is empty

Signed-off-by: Pengpeng Dong <dongpengpeng@uniontech.com>
---
 dlls/quartz/tests/videorenderer.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/quartz/tests/videorenderer.c b/dlls/quartz/tests/videorenderer.c
index c2b6271021..466963c286 100644
--- a/dlls/quartz/tests/videorenderer.c
+++ b/dlls/quartz/tests/videorenderer.c
@@ -2257,6 +2257,9 @@ static void test_video_window(void)
     hr = IBaseFilter_QueryInterface(filter, &IID_IVideoWindow, (void **)&window);
     ok(hr == S_OK, "Got hr %#x.\n", hr);
 
+    hr = IVideoWindow_get_Visible(window, NULL);
+    todo_wine ok(hr == E_POINTER, "Got hr %#x.\n", hr);
+
     hr = IVideoWindow_get_Caption(window, &caption);
     todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
-- 
2.20.1

